# state file generated using paraview version 5.11.0
import paraview
paraview.compatibility.major = 5
paraview.compatibility.minor = 11

#### import the simple module from the paraview
from paraview.simple import *
#### disable automatic camera reset on 'Show'
paraview.simple._DisableFirstRenderCameraReset()

# ----------------------------------------------------------------
# setup views used in the visualization
# ----------------------------------------------------------------

# get the material library
materialLibrary1 = GetMaterialLibrary()

# Create a new 'Render View'
renderView1 = CreateView('RenderView')
renderView1.ViewSize = [1379, 802]
renderView1.AxesGrid = 'GridAxes3DActor'
renderView1.CenterOfRotation = [9.00013099842181, -0.008856873959302902, 1.499988153402228]
renderView1.StereoType = 'Crystal Eyes'
renderView1.CameraPosition = [10.575736971799845, 1.5133179135187682, 3.5261496354846065]
renderView1.CameraFocalPoint = [8.867756224153684, -0.19466283412739127, 1.8181688878384445]
renderView1.CameraViewUp = [-0.4082482904638628, 0.8164965809277264, -0.40824829046386263]
renderView1.CameraFocalDisk = 1.0
renderView1.CameraParallelScale = 9.125352361273228
renderView1.EnableRayTracing = 1
renderView1.BackEnd = 'OSPRay pathtracer'
renderView1.EnvironmentalBG = [0.0, 0.0, 0.0]
renderView1.OSPRayMaterialLibrary = materialLibrary1

SetActiveView(None)

# ----------------------------------------------------------------
# setup view layouts
# ----------------------------------------------------------------

# create new layout object 'Layout #1'
layout1 = CreateLayout(name='Layout #1')
layout1.AssignView(0, renderView1)
layout1.SetSize(1379, 802)

# ----------------------------------------------------------------
# restore active view
SetActiveView(renderView1)
# ----------------------------------------------------------------

# ----------------------------------------------------------------
# setup the data processing pipelines
# ----------------------------------------------------------------

# create a new 'XML Unstructured Grid Reader'
step1phi_fvtu = XMLUnstructuredGridReader(registrationName='step1phi_f.vtu*', FileName=['/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step1phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step2phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step3phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step4phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step5phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step6phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step7phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step8phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step9phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step10phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step11phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step12phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step13phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step14phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step15phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step16phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step17phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step18phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step19phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step20phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step21phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step22phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step23phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step24phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step25phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step26phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step27phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step28phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step29phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step30phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step31phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step32phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step33phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step34phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step35phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step36phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step37phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step38phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step39phi_f.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step40phi_f.vtu'])
step1phi_fvtu.CellArrayStatus = ['cell']
step1phi_fvtu.PointArrayStatus = ['phih_i', 'phih_r', 'eta']
step1phi_fvtu.TimeArray = 'None'

# create a new 'Cylinder'
cylinder1 = Cylinder(registrationName='Cylinder1')
cylinder1.Resolution = 100
cylinder1.Radius = 0.1

# create a new 'Transform'
transform1 = Transform(registrationName='Transform1', Input=cylinder1)
transform1.Transform = 'Transform'

# init the 'Transform' selected for 'Transform'
transform1.Transform.Translate = [9.0, 0.0, 1.5]
transform1.Transform.Rotate = [90.0, 0.0, 0.0]

# create a new 'XML Unstructured Grid Reader'
step1uhvtu = XMLUnstructuredGridReader(registrationName='step1uh.vtu*', FileName=['/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step1uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step2uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step3uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step4uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step5uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step6uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step7uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step8uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step9uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step10uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step11uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step12uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step13uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step14uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step15uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step16uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step17uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step18uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step19uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step20uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step21uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step22uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step23uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step24uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step25uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step26uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step27uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step28uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step29uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step30uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step31uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step32uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step33uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step34uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step35uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step36uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step37uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step38uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step39uh.vtu', '/Users/mlesueur/Downloads/CIEM1301_adv_comp_mech/youri/data/step40uh.vtu'])
step1uhvtu.CellArrayStatus = ['cell']
step1uhvtu.PointArrayStatus = ['uh_i', 'uh_r']
step1uhvtu.TimeArray = 'None'

# create a new 'Resample With Dataset'
resampleWithDataset1 = ResampleWithDataset(registrationName='ResampleWithDataset1', SourceDataArrays=step1phi_fvtu,
    DestinationMesh=step1uhvtu)
resampleWithDataset1.ComputeTolerance = 0
resampleWithDataset1.SnapToCellWithClosestPoint = 1
resampleWithDataset1.CellLocator = 'Static Cell Locator'

# create a new 'Extract Surface'
extractSurface1 = ExtractSurface(registrationName='ExtractSurface1', Input=resampleWithDataset1)

# create a new 'Linear Extrusion'
linearExtrusion1 = LinearExtrusion(registrationName='LinearExtrusion1', Input=extractSurface1)
linearExtrusion1.ScaleFactor = 3.0

# create a new 'Extract Surface'
extractSurface2 = ExtractSurface(registrationName='ExtractSurface2', Input=step1phi_fvtu)

# create a new 'Warp By Vector'
warpByVector2 = WarpByVector(registrationName='WarpByVector2', Input=linearExtrusion1)
warpByVector2.Vectors = ['POINTS', 'eta']

# create a new 'Linear Extrusion'
linearExtrusion2 = LinearExtrusion(registrationName='LinearExtrusion2', Input=extractSurface2)
linearExtrusion2.ScaleFactor = 3.0

# create a new 'Resample With Dataset'
resampleWithDataset2 = ResampleWithDataset(registrationName='ResampleWithDataset2', SourceDataArrays=linearExtrusion2,
    DestinationMesh=transform1)
resampleWithDataset2.ComputeTolerance = 0
resampleWithDataset2.SnapToCellWithClosestPoint = 1
resampleWithDataset2.CellLocator = 'Static Cell Locator'

# create a new 'Warp By Vector'
warpByVector3 = WarpByVector(registrationName='WarpByVector3', Input=resampleWithDataset2)
warpByVector3.Vectors = ['POINTS', 'eta']

# create a new 'Temporal Interpolator'
temporalInterpolator3 = TemporalInterpolator(registrationName='TemporalInterpolator3', Input=warpByVector3)

# create a new 'Triangulate'
triangulate1 = Triangulate(registrationName='Triangulate1', Input=linearExtrusion2)

# create a new 'Subdivide'
subdivide1 = Subdivide(registrationName='Subdivide1', Input=triangulate1)
subdivide1.NumberofSubdivisions = 3

# create a new 'Random Vectors'
randomVectors1 = RandomVectors(registrationName='RandomVectors1', Input=subdivide1)

# create a new 'Calculator'
calculator1 = Calculator(registrationName='Calculator1', Input=randomVectors1)
calculator1.Function = 'eta+BrownianVectors*0.001'

# create a new 'Warp By Vector'
warpByVector1 = WarpByVector(registrationName='WarpByVector1', Input=calculator1)
warpByVector1.Vectors = ['POINTS', 'Result']

# create a new 'Temporal Interpolator'
temporalInterpolator2 = TemporalInterpolator(registrationName='TemporalInterpolator2', Input=warpByVector1)

# create a new 'Generate Surface Normals'
generateSurfaceNormals2 = GenerateSurfaceNormals(registrationName='GenerateSurfaceNormals2', Input=temporalInterpolator2)

# create a new 'Temporal Interpolator'
temporalInterpolator1 = TemporalInterpolator(registrationName='TemporalInterpolator1', Input=warpByVector2)

# create a new 'Generate Surface Normals'
generateSurfaceNormals1 = GenerateSurfaceNormals(registrationName='GenerateSurfaceNormals1', Input=temporalInterpolator1)

# create a new 'Generate Surface Normals'
generateSurfaceNormals3 = GenerateSurfaceNormals(registrationName='GenerateSurfaceNormals3', Input=temporalInterpolator3)

# ----------------------------------------------------------------
# setup the visualization in view 'renderView1'
# ----------------------------------------------------------------

# show data from generateSurfaceNormals1
generateSurfaceNormals1Display = Show(generateSurfaceNormals1, renderView1, 'GeometryRepresentation')

# get 2D transfer function for 'eta'
etaTF2D = GetTransferFunction2D('eta')

# get color transfer function/color map for 'eta'
etaLUT = GetColorTransferFunction('eta')
etaLUT.TransferFunction2D = etaTF2D
etaLUT.RGBPoints = [0.0, 1.0, 1.0, 1.0, 0.0933359089052873, 0.0, 0.0, 0.0]
etaLUT.ColorSpace = 'RGB'
etaLUT.NanColor = [1.0, 0.0, 0.0]
etaLUT.ScalarRangeInitialized = 1.0

# trace defaults for the display properties.
generateSurfaceNormals1Display.Representation = 'Surface'
generateSurfaceNormals1Display.ColorArrayName = ['POINTS', 'eta']
generateSurfaceNormals1Display.LookupTable = etaLUT
generateSurfaceNormals1Display.SelectTCoordArray = 'None'
generateSurfaceNormals1Display.SelectNormalArray = 'Normals'
generateSurfaceNormals1Display.SelectTangentArray = 'None'
generateSurfaceNormals1Display.OSPRayScaleArray = 'Normals'
generateSurfaceNormals1Display.OSPRayScaleFunction = 'PiecewiseFunction'
generateSurfaceNormals1Display.OSPRayMaterial = 'PBR_Water'
generateSurfaceNormals1Display.SelectOrientationVectors = 'None'
generateSurfaceNormals1Display.ScaleFactor = 0.30000000000000004
generateSurfaceNormals1Display.SelectScaleArray = 'None'
generateSurfaceNormals1Display.GlyphType = 'Arrow'
generateSurfaceNormals1Display.GlyphTableIndexArray = 'None'
generateSurfaceNormals1Display.GaussianRadius = 0.015
generateSurfaceNormals1Display.SetScaleArray = ['POINTS', 'Normals']
generateSurfaceNormals1Display.ScaleTransferFunction = 'PiecewiseFunction'
generateSurfaceNormals1Display.OpacityArray = ['POINTS', 'Normals']
generateSurfaceNormals1Display.OpacityTransferFunction = 'PiecewiseFunction'
generateSurfaceNormals1Display.DataAxesGrid = 'GridAxesRepresentation'
generateSurfaceNormals1Display.PolarAxes = 'PolarAxesRepresentation'
generateSurfaceNormals1Display.SelectInputVectors = ['POINTS', 'Normals']
generateSurfaceNormals1Display.WriteLog = ''

# init the 'PiecewiseFunction' selected for 'ScaleTransferFunction'
generateSurfaceNormals1Display.ScaleTransferFunction.Points = [-0.9999107718467712, 0.0, 0.5, 0.0, 0.9992101788520813, 1.0, 0.5, 0.0]

# init the 'PiecewiseFunction' selected for 'OpacityTransferFunction'
generateSurfaceNormals1Display.OpacityTransferFunction.Points = [-0.9999107718467712, 0.0, 0.5, 0.0, 0.9992101788520813, 1.0, 0.5, 0.0]

# show data from generateSurfaceNormals2
generateSurfaceNormals2Display = Show(generateSurfaceNormals2, renderView1, 'GeometryRepresentation')

# get 2D transfer function for 'Result'
resultTF2D = GetTransferFunction2D('Result')

# get color transfer function/color map for 'Result'
resultLUT = GetColorTransferFunction('Result')
resultLUT.TransferFunction2D = resultTF2D
resultLUT.RGBPoints = [2.8279005945975078e-05, 1.0, 1.0, 1.0, 0.12461901306249819, 0.0, 0.0, 0.0]
resultLUT.ColorSpace = 'RGB'
resultLUT.NanColor = [1.0, 0.0, 0.0]
resultLUT.ScalarRangeInitialized = 1.0

# trace defaults for the display properties.
generateSurfaceNormals2Display.Representation = 'Surface'
generateSurfaceNormals2Display.ColorArrayName = ['POINTS', 'Result']
generateSurfaceNormals2Display.LookupTable = resultLUT
generateSurfaceNormals2Display.SelectTCoordArray = 'None'
generateSurfaceNormals2Display.SelectNormalArray = 'Normals'
generateSurfaceNormals2Display.SelectTangentArray = 'None'
generateSurfaceNormals2Display.OSPRayScaleArray = 'BrownianVectors'
generateSurfaceNormals2Display.OSPRayScaleFunction = 'PiecewiseFunction'
generateSurfaceNormals2Display.OSPRayMaterial = 'PBR_Water'
generateSurfaceNormals2Display.SelectOrientationVectors = 'Result'
generateSurfaceNormals2Display.ScaleFactor = 1.8000673788570567
generateSurfaceNormals2Display.SelectScaleArray = 'BrownianVectors'
generateSurfaceNormals2Display.GlyphType = 'Arrow'
generateSurfaceNormals2Display.GlyphTableIndexArray = 'BrownianVectors'
generateSurfaceNormals2Display.GaussianRadius = 0.09000336894285284
generateSurfaceNormals2Display.SetScaleArray = ['POINTS', 'BrownianVectors']
generateSurfaceNormals2Display.ScaleTransferFunction = 'PiecewiseFunction'
generateSurfaceNormals2Display.OpacityArray = ['POINTS', 'BrownianVectors']
generateSurfaceNormals2Display.OpacityTransferFunction = 'PiecewiseFunction'
generateSurfaceNormals2Display.DataAxesGrid = 'GridAxesRepresentation'
generateSurfaceNormals2Display.PolarAxes = 'PolarAxesRepresentation'
generateSurfaceNormals2Display.SelectInputVectors = ['POINTS', 'Result']
generateSurfaceNormals2Display.WriteLog = ''

# init the 'PiecewiseFunction' selected for 'ScaleTransferFunction'
generateSurfaceNormals2Display.ScaleTransferFunction.Points = [-0.9885866641998291, 0.0, 0.5, 0.0, 0.9945235848426819, 1.0, 0.5, 0.0]

# init the 'PiecewiseFunction' selected for 'OpacityTransferFunction'
generateSurfaceNormals2Display.OpacityTransferFunction.Points = [-0.9885866641998291, 0.0, 0.5, 0.0, 0.9945235848426819, 1.0, 0.5, 0.0]

# show data from generateSurfaceNormals3
generateSurfaceNormals3Display = Show(generateSurfaceNormals3, renderView1, 'GeometryRepresentation')

# trace defaults for the display properties.
generateSurfaceNormals3Display.Representation = 'Surface'
generateSurfaceNormals3Display.AmbientColor = [1.0, 0.9176470588235294, 0.0]
generateSurfaceNormals3Display.ColorArrayName = ['POINTS', '']
generateSurfaceNormals3Display.DiffuseColor = [1.0, 0.9176470588235294, 0.0]
generateSurfaceNormals3Display.SelectTCoordArray = 'None'
generateSurfaceNormals3Display.SelectNormalArray = 'Normals'
generateSurfaceNormals3Display.SelectTangentArray = 'None'
generateSurfaceNormals3Display.OSPRayScaleArray = 'Normals'
generateSurfaceNormals3Display.OSPRayScaleFunction = 'PiecewiseFunction'
generateSurfaceNormals3Display.SelectOrientationVectors = 'None'
generateSurfaceNormals3Display.ScaleFactor = 0.1
generateSurfaceNormals3Display.SelectScaleArray = 'None'
generateSurfaceNormals3Display.GlyphType = 'Arrow'
generateSurfaceNormals3Display.GlyphTableIndexArray = 'None'
generateSurfaceNormals3Display.GaussianRadius = 0.005
generateSurfaceNormals3Display.SetScaleArray = ['POINTS', 'Normals']
generateSurfaceNormals3Display.ScaleTransferFunction = 'PiecewiseFunction'
generateSurfaceNormals3Display.OpacityArray = ['POINTS', 'Normals']
generateSurfaceNormals3Display.OpacityTransferFunction = 'PiecewiseFunction'
generateSurfaceNormals3Display.DataAxesGrid = 'GridAxesRepresentation'
generateSurfaceNormals3Display.PolarAxes = 'PolarAxesRepresentation'
generateSurfaceNormals3Display.SelectInputVectors = ['POINTS', 'Normals']
generateSurfaceNormals3Display.WriteLog = ''

# init the 'PiecewiseFunction' selected for 'ScaleTransferFunction'
generateSurfaceNormals3Display.ScaleTransferFunction.Points = [-1.0, 0.0, 0.5, 0.0, 1.0, 1.0, 0.5, 0.0]

# init the 'PiecewiseFunction' selected for 'OpacityTransferFunction'
generateSurfaceNormals3Display.OpacityTransferFunction.Points = [-1.0, 0.0, 0.5, 0.0, 1.0, 1.0, 0.5, 0.0]

# ----------------------------------------------------------------
# setup color maps and opacity mapes used in the visualization
# note: the Get..() functions create a new object, if needed
# ----------------------------------------------------------------

# get opacity transfer function/opacity map for 'eta'
etaPWF = GetOpacityTransferFunction('eta')
etaPWF.Points = [0.0, 0.0, 0.5, 0.0, 0.0933359089052873, 1.0, 0.5, 0.0]
etaPWF.ScalarRangeInitialized = 1

# get opacity transfer function/opacity map for 'Result'
resultPWF = GetOpacityTransferFunction('Result')
resultPWF.Points = [2.8279005945975078e-05, 0.0, 0.5, 0.0, 0.12461901306249819, 1.0, 0.5, 0.0]
resultPWF.ScalarRangeInitialized = 1

# ----------------------------------------------------------------
# restore active source
SetActiveSource(generateSurfaceNormals2)
# ----------------------------------------------------------------


if __name__ == '__main__':
    # generate extracts
    SaveExtracts(ExtractsOutputDirectory='extracts')